Skip to main content
`Ctrl`+`K`

# RotateCelestial2Native

class astropy.modeling.rotations.RotateCelestial2Native(lon, lat, lon_pole, **kwargs)

  Bases: `_SkyRotation`

  Transform from Celestial to Native Spherical Coordinates.

  Parameters:
    lon `python:float` or `Quantity` [:ref: ‘angle’]

      Celestial longitude of the fiducial point.

    lat `python:float` or `Quantity` [:ref: ‘angle’]

      Celestial latitude of the fiducial point.

    lon_pole `python:float` or `Quantity` [:ref: ‘angle’]

      Longitude of the celestial pole in the native system.

  Notes

  If `lon`, `lat` and `lon_pole` are numerical values they should be in units of deg. Inputs are angles on the celestial sphere. Outputs are angles on the native sphere.

  Attributes Summary

  `input_units` | Input units.
  `n_inputs` |
  `n_outputs` |
  `return_units` | Output units.

  Methods Summary

  `__call__`(*inputs[, model_set_axis, ...]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `evaluate`(alpha_C, delta_C, lon, lat, lon_pole) |

  Attributes Documentation

  input_units

    Input units.

  n_inputs = 2
  n_outputs = 2
  return_units

    Output units.

  Methods Documentation

  __call__(*inputs, model_set_axis=None, with_bounding_box=False, fill_value=nan, equivalencies=None, inputs_map=None, **new_inputs)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  evaluate(alpha_C, delta_C, lon, lat, lon_pole)
    Parameters:
      alpha_C, delta_C `python:float` or `Quantity` [:ref: ‘angle’]

        Angles in the Celestial coordinate frame. If float, assumed in degrees.

      lon, lat, lon_pole `python:float` or `Quantity` [:ref: ‘angle’]

        Parameter values when the model was initialized. If float, assumed in degrees.

    Returns:
      phi_N, theta_N `python:float` or `Quantity` [:ref: ‘angle’]

        Angles on the Native sphere. If float, in degrees.